io.etcd.jetcd.api

## Interface AlarmResponseOrBuilder

All Superinterfaces:
  com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder

All Known Implementing Classes:
  AlarmResponse, AlarmResponse.Builder

    public interface AlarmResponseOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`AlarmMember` `getAlarms(int index)` alarms is a list of alarms associated with the alarm request.
`int` `getAlarmsCount()` alarms is a list of alarms associated with the alarm request.
`List<AlarmMember>` `getAlarmsList()` alarms is a list of alarms associated with the alarm request.
`AlarmMemberOrBuilder` `getAlarmsOrBuilder(int index)` alarms is a list of alarms associated with the alarm request.
`List<? extends AlarmMemberOrBuilder>` `getAlarmsOrBuilderList()` alarms is a list of alarms associated with the alarm request.
`ResponseHeader` `getHeader()` `.etcdserverpb.ResponseHeader header = 1;`
`ResponseHeaderOrBuilder` `getHeaderOrBuilder()` `.etcdserverpb.ResponseHeader header = 1;`
`boolean` `hasHeader()` `.etcdserverpb.ResponseHeader header = 1;`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Method Detail

#### hasHeader

    boolean hasHeader()

`.etcdserverpb.ResponseHeader header = 1;`

Returns:
  Whether the header field is set.

#### getHeader

    ResponseHeader getHeader()

`.etcdserverpb.ResponseHeader header = 1;`

Returns:
  The header.

#### getHeaderOrBuilder

    ResponseHeaderOrBuilder getHeaderOrBuilder()

`.etcdserverpb.ResponseHeader header = 1;`

#### getAlarmsList

    List<AlarmMember> getAlarmsList()

     alarms is a list of alarms associated with the alarm request.

`repeated .etcdserverpb.AlarmMember alarms = 2;`

#### getAlarms

    AlarmMember getAlarms(int index)

     alarms is a list of alarms associated with the alarm request.

`repeated .etcdserverpb.AlarmMember alarms = 2;`

#### getAlarmsCount

    int getAlarmsCount()

     alarms is a list of alarms associated with the alarm request.

`repeated .etcdserverpb.AlarmMember alarms = 2;`

#### getAlarmsOrBuilderList

    List<? extends AlarmMemberOrBuilder> getAlarmsOrBuilderList()

     alarms is a list of alarms associated with the alarm request.

`repeated .etcdserverpb.AlarmMember alarms = 2;`

#### getAlarmsOrBuilder

    AlarmMemberOrBuilder getAlarmsOrBuilder(int index)

     alarms is a list of alarms associated with the alarm request.

`repeated .etcdserverpb.AlarmMember alarms = 2;`